View Issue Details

IDProjectCategoryView StatusLast Update
0020724mantisbttaggingpublic2016-06-12 00:42
ReportervboctorAssigned Tovboctor 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.3.0-rc.1 
Target Version1.3.0-rc.2Fixed in Version1.3.0-rc.2 
Summary0020724: Tags with description are handled incorrectly
Description

When a tag has a description, the dropdown to attach tags shows "tag - description", when selected, the whole "tag - description" is added to the tag string, and hence causes creation of a new tag rather than using the existing one.

TagsNo tags attached.

Activities

atrol

atrol

2016-03-20 18:36

developer   ~0052810

Wouldn't it be better if the dropdown to attach tags shows "tag" instead of "tag - description"?
The description could be shown as bubble text when hovering over an entry. At the moment we display "tag" as the bubble text which makes not that much sense.

Furthermore, if the dropdown to attach tags shows "tag - description" the entries get truncated. (have a look at the existing tag "documentation needed")

vboctor

vboctor

2016-03-21 11:13

manager   ~0052820

I agree. I also didn't like the description being there. Will make the change.

Related Changesets

MantisBT: master b3d2d857

2016-03-20 18:05:42

vboctor

Details Diff
Tag with description are attached incorrectly

The tag dropdown shows the "tag - description", selecting it adds
"tag - description" as a new tag rather than using "tag".
This fix removes the description from the dropdown.

Fixes 0020724
mod - core/print_api.php Diff File

Issue History

Date Modified Username Field Change
2016-03-20 18:03 vboctor New Issue
2016-03-20 18:03 vboctor Status new => assigned
2016-03-20 18:03 vboctor Assigned To => vboctor
2016-03-20 18:36 atrol Note Added: 0052810
2016-03-21 11:13 vboctor Note Added: 0052820
2016-03-24 10:39 vboctor Changeset attached => MantisBT master b3d2d857
2016-03-24 10:39 vboctor Status assigned => resolved
2016-03-24 10:39 vboctor Resolution open => fixed
2016-03-24 10:39 vboctor Fixed in Version => 1.3.0-rc.2
2016-06-12 00:42 vboctor Status resolved => closed